Skip to main content
`Ctrl`+`K`

# 7.190. CUpti_Profiler_Host_SetDevicePartitionInfo_Params

struct CUpti_Profiler_Host_SetDevicePartitionInfo_Params

  Params for cuptiProfilerHostSetDevicePartitionInfo.

  Public Members

  size_t structSize

    [in] Size of the data structure.

  void *pPriv

    [in] Assign to NULL

  CUpti_Profiler_Host_Object *pHostObject

    [in] The profiler host object created via cuptiProfilerHostInitialize.

  uint8_t *pDevicePartitionInfo

    [in] Buffer containing the device partition information obtained from the target side using cuptiRangeProfilerGetDevicePartitionInfo. This encodes the SM resource allocation for the Green Context being profiled.

  size_t devicePartitionInfoSize

    [in] Size of the device partition info buffer in bytes.